#include "include.h"
/*
BL08M003-LCD-Demo
注意：
1、仿真无法使用PA0/PA1  为通信IO口
2、BL08M003所有IO均可作为COM/SEG
3、COM/SEG对应的IO配置为模拟输出模式
4、PORTC口拉灌电流比PORTA/PORTB大  
	PORTA/PORTB   拉电流 7.5mA  灌电流 25mA
	PORTC         拉电流 13mA   灌电流 45mA
4、在1/2bias时，SEG只输出VDD或GND
*/
void main(void)
{
	////初始化函数 
	System_Int();

	LCD_Int();

	while(1)
	{
//		asm("clrwdt");   ///注意WDT是否开启
		////	1/2bias
		BIAS = 0;		//1/2bias
		FRAME = 0;		//FRAME0 模式
		PORTB0 = 1;		//SEG输出0
		PORTB1 = 0;		//SEG输出1
		PORTC0 = 1;		//COM输出1
		PORTC1 = 0;		//COM输出1/2bias					
		Delay_ms(10);

		FRAME = 1;		//FRAME1 模式	
		PORTB0 = 1;		//SEG输出1
		PORTB1 = 0;		//SEG输出0	
		PORTC0 = 1;		//COM输出0
		PORTC1 = 0;		//COM输出1/2bias			
		Delay_ms(10);


		////	1/3bias
//		BIAS = 1;		//1/3bias
//		FRAME = 0;		//FRAME0 模式
//		PORTB0 = 1;		//SEG输出0
//		PORTB1 = 0;		//SEG输出2/3bias
//		PORTC0 = 1;		//COM输出1
//		PORTC1 = 0;		//COM输出1/3bias					
//		Delay_ms(10);

//		FRAME = 1;		//FRAME1 模式	
//		PORTB0 = 1;		//SEG输出1
//		PORTB1 = 0;		//SEG输出1/3bias	
//		PORTC0 = 1;		//COM输出0
//		PORTC1 = 0;		//COM输出2/3bias			
//		Delay_ms(10);
	}
}
///中断服务函数
void interrupt Timer0_Isr(void)
{

}